Page MenuHomeFreeBSD

devel/git-arc: New port for FreeBSD code reviews
ClosedPublic

Authored by jrm on Nov 26 2021, 5:46 PM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 43512
Build 40400: arc lint + arc unit

Event Timeline

jrm requested review of this revision.Nov 26 2021, 5:46 PM
jrm created this revision.
devel/git-arc/Makefile
5–7

This will build git-arc-default if you just run make, best remove this and use the flavors helpers as seen below.

21

This is a very very bad idea, it will break if git lose one of those flavors.

22

Better follow the how to use flavors section, and use flavor helpers.

jrm marked 2 inline comments as done.Nov 27 2021, 4:02 PM
devel/git-arc/Makefile
21

It's probably obvious, but the goal here is to not force a dependency on the default flavor of devel/git. Without this, users who have, e.g., git-lite installed will have a conflict when installing git-arc.

I suppose sub-packages, when they arrive, will be a better solution. If git were broken into multiple packages we could just depend on the base git package and users who want the extra git components could install them independently.

jrm marked an inline comment as not done.Nov 27 2021, 4:42 PM

Ignore git flavors like other ports that depend on git

jrm marked an inline comment as done.Nov 27 2021, 5:01 PM

Set PORTREVISION to the date of the src REVISION

This comment was removed by jrm.
This comment was removed by jrm.
This comment was removed by jrm.
This revision was not accepted when it landed; it landed in state Needs Review.Dec 20 2021, 7:45 PM
This revision was automatically updated to reflect the committed changes.